Subject: bug#17588: 24.3.91; mouse-face glitchy

From: Eli Zaretskii <[email-masked]>
Date: Mon, 26 May 2014 05:38:01 +0300

> From: Christopher Schmidt <[email-masked]>
> Date: Sun, 25 May 2014 16:04:43 -0400 (EDT)
> 
> Eli Zaretskii <[email-masked]> writes:
> > In general, each redisplay requires removing the mouse-highlight and
> > then re-applying it, so if Emacs cannot keep up, you might see
> > annoyingly visible flickering or even such extreme effects as you
> > describe.  There's nothing new here.
> 
> There is no flickering.  The artefacts are permanent.
> 
> It can work just fine.  Something triggers the issue.  After triggering,
> scrolling or resizing windows of the affected frame usually make the
> artefacts disappear again and highlighting works just fine.
> 
> The window configuration of my recipe is important, too.  Using just one
> rms2 window makes it impossible to reproduce this issue here.
> 
> > From: Christopher Schmidt <[email-masked]>
> > Date: Sun, 25 May 2014 15:04:18 -0400 (EDT)
> [...]
> >> My real use-case, which provokes this issue after a few minutes, is a
> >> process filter which updates the buffer of a window exactly once a
> >> second.
> [...]
> > May I ask what is the real-life situation where you need to refresh
> > the display at such high frequency?
> 
> I do not think updating a window once a second is unreasonable.  I have
> never seen this issue with 24.3.

Well, I don't see any issues now, either.  Perhaps some other factor
is at work here.

How was your Emacs built?  (The information collected by
'report-emacs-bug' was not present in your report.)

Also, can you try running this on some other machine, perhaps a faster
one?